---

- name: Set OS dependent variables
  include_vars: "{{ item }}"
  with_first_found:
   - "{{ ansible_distribution }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_distribution }}.yml"
   - "{{ ansible_os_family }}_{{ ansible_distribution_major_version }}.yml"
   - "{{ ansible_os_family }}.yml"
   - default.yml

- name: OS is supported
  assert:
    that: ldap_passwd__supported|bool

- name: Install LTB repo signing key
  apt_key:
    url: '{{ ldap_passwd__debian_repo_key }}'
    state: present

- name: Install LTB repo
  apt_repository:
    repo: '{{ item }}'
    state: present
    filename: 'openldap-ltb'
  with items:
    - 'deb {{ ldap_passwd__debian_repo_url }} {{ ansible_distribution_release }} main'
    - 'deb-srv {{ ldap_passwd__debian_repo_url }} {{ ansible_distribution_release }} main'

- name: Install LTB requirement packages
  apt:
    name: '{{ item }}'
    state: 'latest'
    install_recommends: False
  with_flattened:
    - '{{ ldap_passwd__packages_default|d() }}'
    - '{{ ldap_passwd__packages_group|d() }}'
    - '{{ ldap_passwd__packages_host|d() }}'

...

